using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Reporting.WebForms;
using System.Data.SqlClient;

public partial class custinbox_ComparisionReport : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["con"].ConnectionString);
    SqlDataAdapter da;
    DataSet ds;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.IsPostBack != true)
        {
            GetShareCategories();
        }
    }

    private void GetShareCategories()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList2.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList2.DataTextField = "sharetype";
            DropDownList2.DataValueField = "sid";
            DropDownList2.DataBind();
            DropDownList2.Items.Insert(0, "--Select--");
        }
    }

    private void GetCompanyNames(int sid)
    {
        da = new SqlDataAdapter("select cid,companyname from tbl_companytypes where sid=" + sid + " ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_ct");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_ct"].Rows.Count > 0)
        {
            DropDownList1.DataSource = ds.Tables["tbl_ct"].DefaultView;
            DropDownList1.DataTextField = "companyname";
            DropDownList1.DataValueField = "cid";
            DropDownList1.DataBind();
            DropDownList1.Items.Insert(0, "--Select--");

            DropDownList3.DataSource = ds.Tables["tbl_ct"].DefaultView;
            DropDownList3.DataTextField = "companyname";
            DropDownList3.DataValueField = "cid";
            DropDownList3.DataBind();
            DropDownList3.Items.Insert(0, "--Select--");
        }
    }


    private void GenerateReports(int cid,int cid1)
    {
        ReportViewer1.Visible = true;
        da = new SqlDataAdapter("select pd.productid,pd.sid,pd.cid,pd.unitprice,pd.cdate,ct.companyname from tbl_productdetails pd inner join tbl_companytypes ct on pd.cid=ct.cid where pd.cid=" + cid + " union all select pd.productid,pd.sid,pd.cid,pd.unitprice,pd.cdate,ct.companyname from tbl_productdetails pd inner join tbl_companytypes ct on pd.cid=ct.cid where pd.cid=" + cid1 + " ", con);
        ds = new DataSet();
        da.Fill(ds, "products");
        DataTable dt = ds.Tables["products"];
        ReportDataSource rds = new ReportDataSource("DataSet1_DataTable1", dt);
        ReportViewer1.LocalReport.DataSources.Clear();
        ReportViewer1.LocalReport.DataSources.Add(rds);        
        ReportViewer1.LocalReport.Refresh();
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        if (DropDownList2.SelectedIndex > 0 && DropDownList1.SelectedIndex > 0)
        {
            GenerateReports(Convert.ToInt32(DropDownList1.SelectedValue),Convert.ToInt32(DropDownList3.SelectedValue));
        }
    }

    protected void DropDownList2_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (DropDownList2.SelectedIndex > 0)
        {
            GetCompanyNames(Convert.ToInt32(DropDownList2.SelectedValue));
        }
    }
}
