using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class custinbox_ShareDetails : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["con"].ConnectionString);
    SqlDataAdapter da;
    DataSet ds;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.IsPostBack != true)
        {
            GetShareCategories();
            GetSearchCategoryCompanies123();
        }
    }

    private void GetShareCategories()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList1.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList1.DataTextField = "sharetype";
            DropDownList1.DataValueField = "sid";
            DropDownList1.DataBind();
            DropDownList1.Items.Insert(0, "--Select--");
        }
    }

    private void GetSearchCategoryCompanies(int sid)
    {
        da = new SqlDataAdapter("select pd.productid,pd.unitprice,pd.unitsinstock,pd.cdate,ct.companyname,st.sharetype from tbl_productdetails pd inner join tbl_companytypes ct on pd.cid=ct.cid inner join tbl_sharatype st on ct.sid=st.sid and pd.sid=st.sid where pd.sid=" + sid + " ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_pd");
        GridView1.DataSource = ds.Tables["tbl_pd"].DefaultView;
        GridView1.DataBind();
    }

    private void GetSearchCategoryCompanies123()
    {
        da = new SqlDataAdapter("select pd.productid,pd.unitprice,pd.unitsinstock,pd.cdate,ct.companyname,st.sharetype from tbl_productdetails pd inner join tbl_companytypes ct on pd.cid=ct.cid inner join tbl_sharatype st on ct.sid=st.sid and pd.sid=st.sid", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_pd");
        GridView1.DataSource = ds.Tables["tbl_pd"].DefaultView;
        GridView1.DataBind();
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        if (DropDownList1.SelectedIndex > 0)
        {
            GetSearchCategoryCompanies(Convert.ToInt32(DropDownList1.SelectedValue));

        }
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        GetSearchCategoryCompanies123();
    }
}
