using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class admin_Addshares : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["con"].ConnectionString);
    SqlDataAdapter da;
    DataSet ds;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (con.State == ConnectionState.Closed)
        {
            con.Open();
        }

        if (Page.IsPostBack != true)
        {
            GetTodaydate();
            GetShareCategories();
            GetShareCategories123();
            GetCompanyDetails();
        }
    }

    private void GetTodaydate()
    {
        Label1.Text = DateTime.Now.Day.ToString() + "/" + DateTime.Now.Month.ToString() + "/" + DateTime.Now.Year.ToString();
    }

    private void GetShareCategories()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList1.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList1.DataTextField = "sharetype";
            DropDownList1.DataValueField = "sid";
            DropDownList1.DataBind();
            DropDownList1.Items.Insert(0, "--Select--");
        }
    }

    private void GetShareCategories123()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList3.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList3.DataTextField = "sharetype";
            DropDownList3.DataValueField = "sid";
            DropDownList3.DataBind();
            DropDownList3.Items.Insert(0, "--Select--");
        }
    }

    private void GetCompanyDetails()
    {
        da = new SqlDataAdapter("select productid,unitprice,unitsinstock,cdate from tbl_productdetails", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_pd");
        GridView1.DataSource = ds.Tables["tbl_pd"].DefaultView;
        GridView1.DataBind();
    }

    private void GetCompanyNames(int sid)
    {
        da = new SqlDataAdapter("select cid,companyname from tbl_companytypes where sid=" + sid + " ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_ct");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_ct"].Rows.Count > 0)
        {
            DropDownList2.DataSource = ds.Tables["tbl_ct"].DefaultView;
            DropDownList2.DataTextField = "companyname";
            DropDownList2.DataValueField = "cid";
            DropDownList2.DataBind();
            DropDownList2.Items.Insert(0, "--Select--");
        }
    }

    private void GetCompanyNames123(int sid)
    {
        da = new SqlDataAdapter("select cid,companyname from tbl_companytypes where sid=" + sid + " ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_ct");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_ct"].Rows.Count > 0)
        {
            DropDownList4.DataSource = ds.Tables["tbl_ct"].DefaultView;
            DropDownList4.DataTextField = "companyname";
            DropDownList4.DataValueField = "cid";
            DropDownList4.DataBind();
            DropDownList4.Items.Insert(0, "--Select--");
        }
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (DropDownList1.SelectedIndex > 0)
        {
            GetCompanyNames(Convert.ToInt32(DropDownList1.SelectedValue));
        }
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        GetTodaydate();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (TextBox1.Text != "")
        {
            da = new SqlDataAdapter("insert into tbl_productdetails(cid,sid,unitprice,unitsinstock,cdate)values(" + Convert.ToInt32(DropDownList2.SelectedValue) + "," + Convert.ToInt32(DropDownList1.SelectedValue) + "," + Convert.ToDecimal(TextBox1.Text) + "," + Convert.ToInt32(TextBox2.Text) + ",'" + Label1.Text + "')", con);
            int n = da.SelectCommand.ExecuteNonQuery();
            if (n == 1)
            {
                GetCompanyDetails();
            }
        }
    }



    protected void DropDownList3_SelectedIndexChanged(object sender, EventArgs e)
    {
        GetCompanyNames123(Convert.ToInt32(DropDownList3.SelectedValue));
        GetAllCompanies(Convert.ToInt32(DropDownList3.SelectedValue));

    }

    private void GetAllCompanies(int sid)
    {
        da = new SqlDataAdapter("select productid,unitprice,unitsinstock,cdate from tbl_productdetails where sid=" + Convert.ToInt32(DropDownList3.SelectedValue) + " ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_pd");
        GridView1.DataSource = ds.Tables["tbl_pd"].DefaultView;
        GridView1.DataBind();
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        da = new SqlDataAdapter("select productid,unitprice,unitsinstock,cdate from tbl_productdetails where cid="+Convert.ToInt32(DropDownList4.SelectedValue)+" and sid="+Convert.ToInt32(DropDownList3.SelectedValue)+" ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_pd");
        GridView1.DataSource = ds.Tables["tbl_pd"].DefaultView;
        GridView1.DataBind();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Label sid = new Label();
        sid = (Label)GridView1.Rows[e.RowIndex].Cells[1].FindControl("pid");
        if (sid.Text != "")
        {
            da = new SqlDataAdapter("delete from tbl_productdetails where productid=" + Convert.ToInt32(sid.Text) + " ", con);
            int n = da.SelectCommand.ExecuteNonQuery();
            if (n == 1)
            {
                GetCompanyDetails();
            }
        }
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        GetCompanyDetails();
    }
}
