using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class admin_CompanyNames : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["con"].ConnectionString);
    SqlDataAdapter da;
    DataSet ds;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (con.State == ConnectionState.Closed)
        {
            con.Open();
        }

        if (Page.IsPostBack != true)
        {
            GetShareCategories();
            GetCompanyNames();
            GetShareCategories123();
        }
    }

    private void GetShareCategories()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList1.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList1.DataTextField = "sharetype";
            DropDownList1.DataValueField = "sid";
            DropDownList1.DataBind();
            DropDownList1.Items.Insert(0, "--Select--");
        }
    }

    private void GetShareCategories123()
    {
        da = new SqlDataAdapter("select sid,sharetype from tbl_sharatype", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_st");
        if (ds.Tables.Count > 0 && ds.Tables["tbl_st"].Rows.Count > 0)
        {
            DropDownList2.DataSource = ds.Tables["tbl_st"].DefaultView;
            DropDownList2.DataTextField = "sharetype";
            DropDownList2.DataValueField = "sid";
            DropDownList2.DataBind();
            DropDownList2.Items.Insert(0, "--Select--");
        }
    }

    private void GetCompanyNames()
    {
        da = new SqlDataAdapter("select cid,companyname,cdate from tbl_companytypes", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_cn");
        GridView1.DataSource = ds.Tables["tbl_cn"].DefaultView;
        GridView1.DataBind();
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        if (DropDownList1.SelectedIndex > 0 && TextBox2.Text != "")
        {
            da = new SqlDataAdapter("insert into tbl_companytypes(sid,companyname,cdate)values(" + Convert.ToInt32(DropDownList1.SelectedValue) + ",'" + TextBox2.Text + "',getdate())", con);
            int n = da.SelectCommand.ExecuteNonQuery();
            if (n == 1)
            {
                GetCompanyNames();
            }
        }
    
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        GetCompanyNames();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Label sid = new Label();
        sid = (Label)GridView1.Rows[e.RowIndex].Cells[1].FindControl("cid");
        if (sid.Text != "")
        {
            da = new SqlDataAdapter("delete from tbl_companytypes where cid=" + Convert.ToInt32(sid.Text) + " ", con);
            int n = da.SelectCommand.ExecuteNonQuery();
            if (n == 1)
            {
                GetCompanyNames();
            }
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        da = new SqlDataAdapter("select cid,companyname,cdate from tbl_companytypes where sid="+Convert.ToInt32(DropDownList2.SelectedValue)+" ", con);
        ds = new DataSet();
        da.Fill(ds, "tbl_cn");
        GridView1.DataSource = ds.Tables["tbl_cn"].DefaultView;
        GridView1.DataBind();
    }
}
